Title: datetime.timedelta has no total_seconds()
Type: crash Severity: major
Components: Library Versions: Jython 2.7
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: fwierzbicki, irmen, santa4nt, zyasoft
Priority: normal Keywords:

Created on 2013-01-19.17:36:46 by irmen, last changed 2015-02-11.22:11:01 by zyasoft.

msg7583 (view) Author: Irmen de Jong (irmen) Date: 2013-01-19.17:36:46
datetime.timedelta has no total_seconds() method (which was added for python 2.7)
msg8722 (view) Author: Jim Baker (zyasoft) Date: 2014-06-19.06:10:18
Still missing

Target beta 4
msg8752 (view) Author: Santoso Wijaya (santa4nt) Date: 2014-06-19.16:04:40
The whole datetime library needs to be revisited. In CPython, it seems like that it used to be a prototypical library in .py that has since been reimplemented natively in .c, the original .py prototype has been removed. While we still have that prototypical code lingering, with presumably outdated code.
msg8766 (view) Author: Jim Baker (zyasoft) Date: 2014-06-19.18:00:20
My understanding is that PyPy uses the pure Python version, possibly with lots of fixes at this point. Let's look into that.

Ideally we would use joda time as our own basis, but that's not going to be trivial to do and certainly post 2.7.0
msg9488 (view) Author: Jim Baker (zyasoft) Date: 2015-02-06.23:48:10
This is a very useful function that should be implemented

Target RC1
msg9491 (view) Author: Jim Baker (zyasoft) Date: 2015-02-07.01:25:48
Fixed as of
Date User Action Args
2015-02-11 22:11:01zyasoftsetstatus: pending -> closed
2015-02-07 01:25:48zyasoftsetstatus: open -> pending
resolution: remind -> fixed
messages: + msg9491
2015-02-06 23:48:10zyasoftsetassignee: zyasoft
resolution: accepted -> remind
messages: + msg9488
2014-06-19 18:00:20zyasoftsetmessages: + msg8766
2014-06-19 16:04:40santa4ntsetnosy: + santa4nt
messages: + msg8752
2014-06-19 06:10:18zyasoftsetresolution: accepted
messages: + msg8722
nosy: + zyasoft
2013-02-20 00:25:00fwierzbickisetpriority: normal
nosy: + fwierzbicki
versions: + Jython 2.7, - 2.7a2
2013-01-19 17:36:46irmencreate